<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/12/2003 *
 * ===============                              Last change: 04/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_reg.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Setup for the registration form                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Einstellungen fuer das Anmeldeformular           *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

global $link;

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

OPEN_TABLE("100%", "admin_content admin_content_align", "");
if ((isset($_POST['ok'])) && (function_exists('CREATE_TIME_SELECTIONS')))
{
	// Calculate timestamp from selections...
	$_POST['ip_timeout'] = CREATE_TIMESTAMP_FROM_SELECTIONS("ip_timeout", $_POST);
}

if ((empty($_POST['least_cats'])) || (empty($_POST['ip_timeout'])))
{
	unset($_POST['ok']);
}
if (isset($_POST['ok']))
{
	// Save settings
	ADMIN_SAVE_SETTINGS($_POST);
}
 else
{
	// Remember stuff in constants
	define('LEAST_CATS_VALUE'   , $CONFIG['least_cats']);
	define('__CFG_SHOW_REFID'   , ADD_SELECTION("yn", $CONFIG['display_refid'], "display_refid"));
	define('__TIMEOUT_SELECTION', CREATE_TIME_SELECTIONS($CONFIG['ip_timeout'], "ip_timeout", "Dhm"));
	define('__CFG_DBL_EMAIL'    , ADD_SELECTION("yn", $CONFIG['check_double_email'], "check_double_email"));
	define('__CFG_DBL_PASS'     , ADD_SELECTION("yn", $CONFIG['check_double_pass'] , "check_double_pass"));
	define('__REF_PAYOUT'       , $CONFIG['ref_payout']);

	// Load normal template
	LOAD_TEMPLATE("admin_config_reg");
}
CLOSE_TABLE();
//
?>
